Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Class CGroupsManager

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.CGroupsManager

All Implemented Interfaces:
  GroupsManagerConstants, IMultithreadedCacheable, IMultithreadedChannel, IPermissible

    public class CGroupsManager

extends java.lang.Object
implements IMultithreadedChannel, GroupsManagerConstants, IPermissible, IMultithreadedCacheable

CGroupsManager allows users to graphically administer all groups for which user has administrtaive permissions.

Version:
  $Revision: 1.31 $
Author:
  Don Fracapane

Field Summary
`protected static java.util.HashMap` | `activities`
`protected java.util.HashMap` | `sessionsMap`
`protected static java.lang.String` | `sslLocation`
`protected java.util.HashMap` | `targets`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`CGroupsManager()` Creates new GroupsManagerChannel

Method Summary
`ChannelCacheKey` | `generateKey(java.lang.String uid)` put your documentation comment here
`java.lang.String` | `getActivityName(java.lang.String token)` put your documentation comment here
`java.lang.String[]` | `getActivityTokens()` put your documentation comment here
`java.lang.String` | `getOwnerName()` put your documentation comment here
`java.lang.String` | `getOwnerToken()` put your documentation comment here
`ChannelRuntimeProperties` | `getRuntimeProperties(java.lang.String uid)` Acquires ChannelRuntimeProperites from the channel.
`CGroupsManagerSessionData` | `getSessionData(java.lang.String uid)` Returns the session data for a thread
`java.lang.String` | `getTargetName(java.lang.String token)` put your documentation comment here
`java.lang.String[]` | `getTargetTokens()` put your documentation comment here
`protected void` | `init()` put your documentation comment here
`boolean` | `isCacheValid(java.lang.Object validity, java.lang.String uid)` put your documentation comment here
`void` | `receiveEvent(PortalEvent ev, java.lang.String uid)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out, java.lang.String uid)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd, java.lang.String uid)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd, java.lang.String uid)` Passes ChannelStaticData to the channel.
`private java.lang.String` | `vKey(java.lang.String uid)` put your documentation comment here

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sslLocation

    protected static final java.lang.String sslLocation

See Also:
  Constant Field Values

### activities

    protected static java.util.HashMap activities

### targets

    protected java.util.HashMap targets

### sessionsMap

    protected java.util.HashMap sessionsMap

Constructor Detail

### CGroupsManager

    public CGroupsManager()

  Creates new GroupsManagerChannel

Method Detail

### init

    protected void init()

  put your documentation comment here

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties(java.lang.String uid)

  Acquires ChannelRuntimeProperites from the channel. This function may be called by the portal framework throughout the session.

  Specified by:
    `getRuntimeProperties` in interface `IMultithreadedChannel`
  Parameters:
    `uid` -
  Returns:
    ChannelRuntimeProperties
  See Also:
    `ChannelRuntimeProperties`

### receiveEvent

    public void receiveEvent(PortalEvent ev,
                             java.lang.String uid)

  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IMultithreadedChannel`
  Parameters:
    `ev` - PortalEvent object
    `uid` -
  See Also:
    `PortalEvent`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out,
                          java.lang.String uid)
                   throws PortalException

  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IMultithreadedChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
    `uid` -
  Throws:
    `PortalException`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd,
                               java.lang.String uid)

  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IMultithreadedChannel`
  Parameters:
    `rd` - channel runtime data
    `uid` -
  See Also:
    `ChannelRuntimeData`

### setStaticData

    public void setStaticData(ChannelStaticData sd,
                              java.lang.String uid)

  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.StaticData

  Specified by:
    `setStaticData` in interface `IMultithreadedChannel`
  Parameters:
    `sd` - channel static data
    `uid` -
  See Also:
    `ChannelStaticData`

### getOwnerName

    public java.lang.String getOwnerName()

  put your documentation comment here

  Specified by:
    `getOwnerName` in interface `IPermissible`
  Returns:
    String

### getActivityTokens

    public java.lang.String[] getActivityTokens()

  put your documentation comment here

  Specified by:
    `getActivityTokens` in interface `IPermissible`
  Returns:
    String[]

### getOwnerToken

    public java.lang.String getOwnerToken()

  put your documentation comment here

  Specified by:
    `getOwnerToken` in interface `IPermissible`
  Returns:
    String

### getActivityName

    public java.lang.String getActivityName(java.lang.String token)

  put your documentation comment here

  Specified by:
    `getActivityName` in interface `IPermissible`
  Parameters:
    `token` -
  Returns:
    String

### getTargetTokens

    public java.lang.String[] getTargetTokens()

  put your documentation comment here

  Specified by:
    `getTargetTokens` in interface `IPermissible`
  Returns:
    String[]

### getTargetName

    public java.lang.String getTargetName(java.lang.String token)

  put your documentation comment here

  Specified by:
    `getTargetName` in interface `IPermissible`
  Parameters:
    `token` -
  Returns:
    String

### generateKey

    public ChannelCacheKey generateKey(java.lang.String uid)

  put your documentation comment here

  Specified by:
    `generateKey` in interface `IMultithreadedCacheable`
  Parameters:
    `uid` -
  Returns:
    ChannelCacheKey

### vKey

    private java.lang.String vKey(java.lang.String uid)

  put your documentation comment here

  Parameters:
    `uid` -
  Returns:
    String

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity,
                                java.lang.String uid)

  put your documentation comment here

  Specified by:
    `isCacheValid` in interface `IMultithreadedCacheable`
  Parameters:
    `validity` -
    `uid` -
  Returns:
    boolean

### getSessionData

    public CGroupsManagerSessionData getSessionData(java.lang.String uid)

  Returns the session data for a thread

  Parameters:
    `uid` -
  Returns:
    CGroupsManagerSessionData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD